List jobs
curl --request GET \
--url https://gateway.app.clavata.ai:8443/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.app.clavata.ai:8443/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.app.clavata.ai:8443/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"jobUuid": "<string>",
"customerId": "<string>",
"status": "JOB_STATUS_UNSPECIFIED",
"contentData": [
{
"contentHash": "<string>",
"metadata": {}
}
],
"results": [
{
"jobUuid": "<string>",
"report": {
"policyId": "<string>",
"policyKey": "<string>",
"policyVersionId": "<string>",
"result": "OUTCOME_UNSPECIFIED",
"sectionEvaluationReports": [
{
"name": "<string>",
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"assertionEvaluationReports": [
{
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"score": 123
}
],
"exceptionEvaluationReport": {
"result": "OUTCOME_UNSPECIFIED",
"assertionEvaluationReports": [
{
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"score": 123
}
],
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
}
},
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
}
}
],
"exceptionEvaluationReport": {
"result": "OUTCOME_UNSPECIFIED",
"assertionEvaluationReports": [
{
"result": "OUTCOME_UNSPECIFIED",
"message": "<string>",
"score": 123
}
],
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
}
},
"contentHash": "<string>",
"contentMetadata": {},
"reviewResult": {
"outcome": "OUTCOME_UNSPECIFIED",
"score": 123
},
"threshold": 123,
"labelMatches": {},
"tokenUsage": {
"inputTokens": 123,
"billedTokens": 123,
"multiplier": 123
},
"labelId": "<string>",
"labelVersionId": "<string>"
},
"created": "2023-11-07T05:31:56Z"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"completed": "2023-11-07T05:31:56Z",
"policyId": "<string>",
"policyVersionId": "<string>",
"threshold": 123,
"labelId": "<string>",
"labelVersionId": "<string>",
"jobType": "JOB_TYPE_UNSPECIFIED"
}
],
"nextPageToken": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"type": "PRECHECK_FAILURE_TYPE_UNSPECIFIED",
"message": "<string>",
"details": "<unknown>",
"matchConfidence": "PRECHECK_MATCH_CONFIDENCE_UNSPECIFIED"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Get Jobs
List jobs
Retrieves a list of jobs with optional filtering by time ranges and status. Incomplete jobs will only include basic information.
GET
/
v1
/
jobs
List jobs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The start of the time range
The end of the time range
Whether to treat the time range as inclusive or exclusive
The start of the time range
The end of the time range
Whether to treat the time range as inclusive or exclusive
The start of the time range
The end of the time range
Whether to treat the time range as inclusive or exclusive
The status of the job
Available options:
JOB_STATUS_UNSPECIFIED, JOB_STATUS_PENDING, JOB_STATUS_RUNNING, JOB_STATUS_COMPLETED, JOB_STATUS_FAILED, JOB_STATUS_CANCELED Policy ID that created the job
The maximum number of jobs to return. Defaults to 10, capped at 1000.
A token identifying the page to return; for keyset pagination
Was this page helpful?
⌘I